<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      xmlns="http://www.w3.org/1999/xhtml">

<!-- Generic resources fragment-->
<div th:replace="fragments/header :: head (pageTitle = #{register.title})" th:remove="tag">
    <h1>Aquí va el contingut del head amb els metas i els css</h1>
</div>

</head>
<body>
<!-- Header fragment -->
<div th:replace="fragments/header :: header" th:remove="tag">
    <h1>Aquí va el contingut del header amb el seu menu</h1>
</div>

<!-- Page top section -->
<section class="page-top-section set-bg" th:attr="data-setbg=@{/img/header-bg/2.jpg}" data-setbg="img/header-bg/2.jpg">
    <div class="container">
        <h2 th:text="#{characters.title}">Títol dels personatges</h2>
    </div>
</section>
<!-- Page top section end -->

<!-- Blog section -->
<section class="blog-section spad">
    <div class="container">
    <!--  TODO: NO se si l'admin hauria de poder crear-se personatges.    -->
        <a th:href="@{/characters/crud}"><img th:attr="src=@{'/img/animatedGif/newRole.gif'}" th:alt-title="#{chars.nou.button}" style="width:10%"></a>
        <div class="row" th:if="${isAdmin}">
            <div class="col-lg-12">
                <div class="blog-post single-post">
                    <h3 th:text="#{characters.welcomeAdmin}">Welcome admin</h3>
                </div>
            </div>
        </div>
    </div>
    <div  class="container">
        <table id="characters" class="table table-striped table-bordered" style="width:100%">
            <thead>
            <!-- TODO: Falta la traducció d'aquests textos' -->
            <tr>
                <th>Nom</th>
                <th>Vida</th>
                <th>Mal</th>
                <th>Armadura</th>
                <th>RoleType nom</th>
<!-- TODO: En el datatable, l'administrador hauria de saber a quin usuari pertany cada personatge                -->
            </tr>
            </thead>
            <tfoot>
            <tr>
                <th>Nom</th>
                <th>Vida</th>
                <th>Mal</th>
                <th>Armadura</th>
                <th>RoleType nom</th>
            </tr>
            </tfoot>
        </table>
    </div>

</section>

<!-- footer fragment -->
<div th:replace="fragments/footer :: footer" th:remove="tag">
    <h1>Aquí la informació del footer</h1>
</div>

<!-- Generic Scripts fragment -->
<div th:replace="fragments/header :: scripts" th:remove="tag">
    <h1>Aquí posem els javascripts</h1>
</div>

<script type="text/javascript">

    //TODO: S'ha de configurar el datatable per a mostrar botons segons idioma: https://datatables.net/manual/i18n
    $(document).ready(function() {
        $('#characters').DataTable( {
            responsive: true,
            "ajax": {
                url: "/api/character",
                dataSrc: ''
            },
            "columns": [
                { "data": "name" },
                { "data": "heal" },
                { "data": "mal" },
                { "data": "armadura" },
                { "data": "roleType.name"}
            ]
        } );
    } );

</script>

</body>
</html>
